package com.ruoyi.project.cui.service;

import java.util.List;
import com.ruoyi.project.cui.domain.TPvessel;

/**
 * 容器清单Service接口
 * 
 * @author ruoyi
 * @date 2020-12-03
 */
public interface ITPvesselService 
{
    /**
     * 查询容器清单
     * 
     * @param id 容器清单ID
     * @return 容器清单
     */
    public TPvessel selectTPvesselById(Long id);

    /**
     * 查询容器清单列表
     * 
     * @param tPvessel 容器清单
     * @return 容器清单集合
     */
    public List<TPvessel> selectTPvesselList(TPvessel tPvessel);

    /**
     * 新增容器清单
     * 
     * @param tPvessel 容器清单
     * @return 结果
     */
    public int insertTPvessel(TPvessel tPvessel);

    /**
     * 修改容器清单
     * 
     * @param tPvessel 容器清单
     * @return 结果
     */
    public int updateTPvessel(TPvessel tPvessel);

    /**
     * 批量删除容器清单
     * 
     * @param ids 需要删除的容器清单ID
     * @return 结果
     */
    public int deleteTPvesselByIds(Long[] ids);

    /**
     * 删除容器清单信息
     * 
     * @param id 容器清单ID
     * @return 结果
     */
    public int deleteTPvesselById(Long id);
}
